# Image File Reference

`#include <osg/Object>`
`#include <osg/GL>`
`#include <string>`
`#include <vector>`

Include dependency graph for Image:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_IMAGE 1
#define | GL_BGR 0x80E0
#define | GL_BGRA 0x80E1
#define | GL_UNSIGNED_BYTE_3_3_2 0x8032
#define | GL_UNSIGNED_BYTE_2_3_3_REV 0x8362
#define | GL_UNSIGNED_SHORT_5_6_5 0x8363
#define | GL_UNSIGNED_SHORT_5_6_5_REV 0x8364
#define | GL_UNSIGNED_SHORT_4_4_4_4 0x8033
#define | GL_UNSIGNED_SHORT_4_4_4_4_REV 0x8365
#define | GL_UNSIGNED_SHORT_5_5_5_1 0x8034
#define | GL_UNSIGNED_SHORT_1_5_5_5_REV 0x8366
#define | GL_UNSIGNED_INT_8_8_8_8 0x8035
#define | GL_UNSIGNED_INT_8_8_8_8_REV 0x8367
#define | GL_UNSIGNED_INT_10_10_10_2 0x8036
#define | GL_UNSIGNED_INT_2_10_10_10_REV 0x8368

## Functions

SG_EXPORT Geode * | createGeodeForImage (Image *image)
| Convenience function to be used by image loaders to generate a valid geode to return for readNode().
SG_EXPORT Geode * | createGeodeForImage (Image *image, float s, float t)
| Convenience function to be used by image loaders to generate a valid geode to return for readNode().

## Define Documentation

#define GL_BGR 0x80E0

#define GL_BGRA 0x80E1

#define GL_UNSIGNED_BYTE_2_3_3_REV 0x8362

#define GL_UNSIGNED_BYTE_3_3_2 0x8032

#define GL_UNSIGNED_INT_10_10_10_2 0x8036

#define GL_UNSIGNED_INT_2_10_10_10_REV 0x8368

#define GL_UNSIGNED_INT_8_8_8_8 0x8035

#define GL_UNSIGNED_INT_8_8_8_8_REV 0x8367

#define GL_UNSIGNED_SHORT_1_5_5_5_REV 0x8366

#define GL_UNSIGNED_SHORT_4_4_4_4 0x8033

#define GL_UNSIGNED_SHORT_4_4_4_4_REV 0x8365

#define GL_UNSIGNED_SHORT_5_5_5_1 0x8034

#define GL_UNSIGNED_SHORT_5_6_5 0x8363

#define GL_UNSIGNED_SHORT_5_6_5_REV 0x8364

#define OSG_IMAGE 1

## Function Documentation

Geode * osg::createGeodeForImage | ( | Image * | image,
|  | float | s,
|  | float | t
| ) |

| Convenience function to be used by image loaders to generate a valid geode to return for readNode(). Use the specified s and t values to scale the dimensions of the image.

Geode * osg::createGeodeForImage | ( | Image * | image | ) |

| Convenience function to be used by image loaders to generate a valid geode to return for readNode(). Use the image's s and t values to scale the dimensions of the image.